Analyze bucketed market trend movement
curl --request POST \
--url https://api-v2.watchcollect.com/v2/market/trends \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api-v2.watchcollect.com/v2/market/trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/market/trends"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"bucket": "<string>",
"metric": "<string>",
"points": [
{
"bucket_start_ms": 123,
"listing_count": 123,
"price_sample_count": 123,
"avg_price_eur_minor": 123,
"median_price_eur_minor": 123,
"metric_value": 123
}
],
"sample_count": 123,
"confidence": "none",
"warnings": [
"<string>"
],
"evidence": {
"endpoint": "<string>",
"filters_hash": "<string>",
"from_ms": 123,
"to_ms": 123
},
"start_metric": 123,
"end_metric": 123,
"absolute_change": 123,
"percent_change": 123
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Market — Insights
Analyze bucketed market trend movement
Returns bucketed price or listing-count points with sample counts, confidence and warnings for trend claims.
POST
/
v2
/
market
/
trends
Analyze bucketed market trend movement
curl --request POST \
--url https://api-v2.watchcollect.com/v2/market/trends \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api-v2.watchcollect.com/v2/market/trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-v2.watchcollect.com/v2/market/trends"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"bucket": "<string>",
"metric": "<string>",
"points": [
{
"bucket_start_ms": 123,
"listing_count": 123,
"price_sample_count": 123,
"avg_price_eur_minor": 123,
"median_price_eur_minor": 123,
"metric_value": 123
}
],
"sample_count": 123,
"confidence": "none",
"warnings": [
"<string>"
],
"evidence": {
"endpoint": "<string>",
"filters_hash": "<string>",
"from_ms": 123,
"to_ms": 123
},
"start_metric": 123,
"end_metric": 123,
"absolute_change": 123,
"percent_change": 123
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}{
"error": {
"code": "invalid_payload",
"message": "event is required",
"request_id": "018f06e2-4f8d-7c01-8a0d-cc6fd78f7001"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Flexible market filter grammar. Documented fields are typed; additional fields are tolerated for forward-compatible frontend experiments and ignored until implemented.
Show child attributes
Show child attributes
Available options:
day, week, month Available options:
avg_price_eur_minor, median_price_eur_minor, listing_count Response
Bucketed trend response.
Show child attributes
Show child attributes
Available options:
none, low, moderate, high Show child attributes
Show child attributes